<?xml version="1.0" encoding="GB2312"?>
<Config>
<!--  product instruction
    Because of the various orientation of sensor, there're some differences
    of gyro and ois between MHA and VV. So identify the target product for algo
        0 represents MHA&LON
        1 represents VV
        2 represents STANF
        3 represents AB
        5 represents EMILY
        6 represents CHARLOTTE
        7 represents NEO
        8 represents COL BKL PCT
        9 represents Hima
        10 represents Laya
        11 represents
        12 represents
        13 represents
        14 represents
    If there're more products, just add to this list

    Rst/Rst_Default stands for rolling shutter time;
    rolling shutter time has to be set in us unit,
    default value example: <Rst_Default value="24118"/>;
    Rear/front stands for different sides of the phone,
    Rear cameras include main, wide, tele, and so on,
    Front cameras include front, and so on;
    Uhd:     ultra high definition, or 4K,
    Fhd:     full high definition,  or 1080p,
    Hd:      high definition,       or 720p,
    FhdPlus: full screen resolution, depends on products' screens;
    FhdPlus_2nd_: full screen resolution, Tahiti has two FhdPlus modes;
    Dynamic fps means auto fps,
    Normal  fps means fixed lower frame rate, such as, 30 fps,
    High    fps means fixed higher frame rate, such as, 60 fps;

    Focal length depends on CMOS sensors or camera modules;

    Gyroscope offset depends on vendors, frame rates, and camera positions;
    Gyroscope vendors include ST, INVENSENSE, BOSCH, and so on;
    GyroOffset_Default has to be set real GyroOffset_Default * 1000,
    default value example: <GyroOffset_Default value="700"/>;

    minLensPos has to be set real minLensPos * 1000;
    maxLensPos has to be set real maxLensPos * 1000;
    minCode has to be set real minCode * 1000;
    maxCode has to be set real maxCode * 1000;
-->
    <productId value="16"/>

    <zoomCorrection value="1"/>
    <zoomCrcEnableId value="2"/>
    <rearMainZoomCrcEnable value="1"/>
    <rearWideZoomCrcEnable value="1"/>
    <rearTeleZoomCrcEnable value="0"/>
    <frontMainZoomCrcEnable value="0"/>

    <useSensorHub value="1"/>
    <fiveAxisStable value="0"/>
    <oisCameraId value="8"/>
    <oisAxisSwapFlag value="1"/>
    <frameRatio value="120"/>
    <frameRatio4K value="108"/>
    <frameRatioDefault value="120"/>
    <enableForkStreamIn4K value="1"/>
    <previewHwVideoStabLatency value="2"/>
    <recordHwVideoStabLatency value="16"/>
    <videoStabLatencySpec value="30"/>
    <maxBufferNumber value="16"/>
    <regionLimited value="0"/>

	<!--default-->
	<Rst_Default value="20206"/>

	<!--focal length-->
	<FocalLength_RearMain      value="680"/>
	<FocalLength_RearWide      value="520"/>
	<FocalLength_RearTele      value="3590"/>
	<FocalLength_FrontMain      value="760"/>

	<FocalLength_DualVideoRearMain       value="1000"/>
	<FocalLength_DualVideoRearWide       value="550"/>
	<FocalLength_DualVideoRearTele       value="2650"/>

	<!--ST gyroscope-->
	<GyroOffset_ST_RearWide       value="550"/>
	<GyroOffset_ST_RearMain       value="515"/>
	<GyroOffset_ST_RearTele       value="520"/>
	<GyroOffset_ST_Front       value="560"/>

	<!--INVENSENSE gyroscope marie-->
	<GyroOffset_INVENSENSE_RearWide       value="650"/>
	<GyroOffset_INVENSENSE_RearMain       value="590"/>
	<GyroOffset_INVENSENSE_RearTele       value="500"/>
	<GyroOffset_INVENSENSE_Front       value="430"/>

	<!--BOSCH gyroscope marie-->
	<GyroOffset_BOSCH_RearWide       value="560"/>
	<GyroOffset_BOSCH_RearMain       value="560"/>
	<GyroOffset_BOSCH_RearTele       value="490"/>
	<GyroOffset_BOSCH_Front       value="690"/>
	<!--OIS Offset-->
	<ST_oisOffset_main_150      value="2500"/>
	<ST_oisOffset_main_s4h      value="2500"/>
	<ST_oisOffset_main_24532    value="2500"/>
	<ST_oisOffset_tele_128      value="1500"/>
	<ST_oisOffset_tele_9781     value="1500"/>

	<INVENSENSE_oisOffset_main_150      value="2500"/>
	<INVENSENSE_oisOffset_main_s4h      value="2500"/>
	<INVENSENSE_oisOffset_main_24532    value="2500"/>
	<INVENSENSE_oisOffset_tele_128      value="1300"/>
	<INVENSENSE_oisOffset_tele_9781     value="1300"/>

	<BOSCH_oisOffset_main_150      value="2500"/>
	<BOSCH_oisOffset_main_s4h      value="2500"/>
	<BOSCH_oisOffset_main_24532    value="2500"/>
	<BOSCH_oisOffset_tele_128      value="1340"/>
	<BOSCH_oisOffset_tele_9781     value="1320"/>
	<!--OIS translation gain-->
	<ST_oisTranslationGain_main_150_x      value="-7460"/>
	<ST_oisTranslationGain_main_150_y      value="-6958"/>
	<ST_oisTranslationGain_main_s4h_x      value="-7460"/>
	<ST_oisTranslationGain_main_s4h_y      value="-6958"/>
	<ST_oisTranslationGain_main_24532_x    value="-7460"/>
	<ST_oisTranslationGain_main_24532_y    value="-6958"/>
	<ST_oisTranslationGain_tele_128_x      value="6658"/>
	<ST_oisTranslationGain_tele_128_y      value="6957"/>
	<ST_oisTranslationGain_tele_9781_x     value="-7225"/>
	<ST_oisTranslationGain_tele_9781_y     value="-9938"/>

	<INVENSENSE_oisTranslationGain_main_150_x      value="-7460"/>
	<INVENSENSE_oisTranslationGain_main_150_y      value="-6958"/>
	<INVENSENSE_oisTranslationGain_main_s4h_x      value="-7460"/>
	<INVENSENSE_oisTranslationGain_main_s4h_y      value="-6958"/>
	<INVENSENSE_oisTranslationGain_main_24532_x    value="-7460"/>
	<INVENSENSE_oisTranslationGain_main_24532_y    value="-6958"/>
	<INVENSENSE_oisTranslationGain_tele_128_x      value="6658"/>
	<INVENSENSE_oisTranslationGain_tele_128_y      value="6957"/>
	<INVENSENSE_oisTranslationGain_tele_9781_x     value="-6517"/>
	<INVENSENSE_oisTranslationGain_tele_9781_y     value="-10080"/>

	<BOSCH_oisTranslationGain_main_150_x      value="-7460"/>
	<BOSCH_oisTranslationGain_main_150_y      value="-6958"/>
	<BOSCH_oisTranslationGain_main_s4h_x      value="-7460"/>
	<BOSCH_oisTranslationGain_main_s4h_y      value="-6958"/>
	<BOSCH_oisTranslationGain_main_24532_x    value="-7460"/>
	<BOSCH_oisTranslationGain_main_24532_y    value="-6958"/>
	<BOSCH_oisTranslationGain_tele_128_x      value="6658"/>
	<BOSCH_oisTranslationGain_tele_128_y      value="6957"/>
	<BOSCH_oisTranslationGain_tele_9781_x     value="-6941"/>
	<BOSCH_oisTranslationGain_tele_9781_y     value="-9370"/>

	<!--AF compensation-->
	<minLensPos value="5680"/>
	<maxLensPos value="6060"/>
	<minCode    value="249000"/>
	<maxCode    value="867000"/>
	<!--AF compensation wide-->
	<minLensPos_wide value="5680"/>
	<maxLensPos_wide value="6617"/>
	<minCode_wide    value="249000"/>
	<maxCode_wide    value="867000"/>

    <noiseReduceOn value="0"/>
    <!--
        tnrEnable: normal/pro video, soft tnr switch
        0 close
        1 open
        2 use tnrEnable_front(rear)4K, tnrEnable_front(rear)1080p720p control
    -->
    <tnrEnable value="2"/>
    <tnrEnable_front4K value="0"/>
    <tnrEnable_rear4K value="1"/>
    <tnrEnable_front1080p720p value="0"/>
    <tnrEnable_rear1080p720p value="0"/>
    <tnrParamByModule value="0"/>
    <tnrSigma value="32000"/>
    <tnrAlpha value="500"/>
    <tnrBeta value="500"/>

    <isPassByPanningFaceCorrect value="0"/>
    <heatEscapeMode value="1"/>
    <fourKPreStabEnable value="1"/>

    <isNeedIspTnr value="1"/>
    <isNeedIspDualVidPre value="1"/>
    <vidTnrMode value="4"/>

    <tnrDropFrameCount value="2"/>

    <is4KNeedFixSize value="1"/>

    <fullScreenWidth value="2336"/>
    <fullScreenHeight value="1080"/>
    <fullScreenWidth2nd value="2560"/>
    <fullScreenHeight2nd value="1080"/>

    <useNewOisPass value="1"/>
    <enableServoOffOisHighPowerScenes value="0"/>
    <!--main:1 tele:16-->
    <enableOisServoOffCameraList value="16"/>
    <enableDualOisEis value="1"/>
    <hardwareSyncRequestEnable value="1"/>
    <!--main:1 tele:16-->
    <enableOisCameraList value="16"/>
    <lumaDetectTime value="5"/>
    <lumaThreHigh value="100"/>
    <lumaThreLow value="90"/>

    <MAIN_OIS_DRIVERIC_NULL value="1"/>
    <MAIN_OIS_ONSEMI_LC898150 value="0"/>
    <MAIN_OIS_RENESAS_S4H value="0"/>
    <MAIN_OIS_ROHM24532 value="0"/>
    <TELE_OIS_ONSEMI_LC898128 value="1"/>
    <TELE_OIS_DW9781B value="1"/>

    <apertureModeGyroLatency value="2"/>
    <enableTeleNewLayoutMode value="1"/>

    <!--0-NOT_USE_READ_VALUE 1-USE_READ_VALUE_ONLY_FRONT 2-USE_READ_VALUE_ALL-->
    <enableRstReadValue value="2"/>

    <!--0:ONLY GPU WARP 1:ISP AND GPU COEXIIST 2:ONLY ISP WARP-->
    <ispGpuWarpExistMode value="1"/>
    <!--0:default 1:eis 3.0-->
    <eisSmoothStrategy value="1"/>
    <!--0:disable bicubic 1:enable bicubic-->
    <eisBicubicEnable value="0"/>
    <!--0:disable  1:enable filter for vsn-->
    <enableRequestPostVid value="1"/>
    <!--0:disable  1:enable original raw size for 4K-->
    <enable4kSrcOriginalSizeCfg value="1"/>
    <!--0:disable  1:enable algo distortion Correction-->
    <distortionCorrectionEnable value="0"/>
    <MAIN_LENS_LARGEN value="0"/>
    <MAIN_LENS_KT value="0"/>

    <!--0:disable  1:enable soft tnr-->
    <controlTnrByLumaCfg value="1"/>

    <!--0: opencl version 1: support opengl -->
    <gpuWarpExtend value="1"/>

    <frontCameraEisEscapeSupported value="1"/>
    <frontCameraOisEscapeSupported value="1"/>
</Config>
